<?php
namespace Factory;

/**
 * Class Appropriation
 *
 * @package Factory
 */
class Appropriation {

	public function createAppropriation(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization $organization, 
										\Zeedhi\DevOps\Model\Projectmanagement\Entities\Task $task, $resource, $total, $beginHour, $endHour, $completed, $description) {
		$entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Appropriation();
		$entity->setOrganization($organization);
		$entity->setTotal($total);
		$entity->setBeginHour($beginHour);
		$entity->setEndHour($endHour);
		$entity->setDescription($description);
		$entity->setCompleted($completed);
		$entity->setTask($task);
		$entity->setResource($resource);
		return $entity;
	}

    public function updateAppropriation(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Appropriation $entity, $total, $beginHour, $endHour, $completed, $description){
        $entity->setTotal($total);
        $entity->setBeginHour($beginHour);
        $entity->setEndHour($endHour);
        $entity->setDescription($description);
        $entity->setCompleted($completed);
        return $entity;
    }

} 