<?php

namespace Factory;

use Util\Messages;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;
use \Zeedhi\DevOps\Model\Configurationmanager;
use Zeedhi\DevOps\Model\Devops\Entities\ProductVersion;

class SubRelease
{

    public function saveSubRelease(Configurationmanager\Entities\SubRelease $subRelease = null,
                                Configurationmanager\Entities\Release $release,
                                Entities\Project $project, $name, $productServer, ProductVersion $productVersion = null)
    {
        if (!$subRelease) {
            $subRelease = new Configurationmanager\Entities\SubRelease();
        }
        $subRelease->setRelease($release);
        $subRelease->setProject($project);
        $subRelease->setName($name);
        $subRelease->setDescription(Messages::DEO_CREATE_DESCRIPTION_DEFAULT);
        $subRelease->setProductServer($productServer);
        $subRelease->setProductVersion($productVersion);
        return $subRelease;
    }

}